// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

onEvent('recipes', event => {
 event.remove({id: 'create:blasting/ingot_osmium_compat_mekanism'}),
 event.remove({id: 'create:smelting/ingot_osmium_compat_mekanism'}),
 event.remove({id: 'beyond_earth:nasa_workbench'}),
 event.remove({id: 'alloyed:mixing/steel_ingot'}), 
 event.remove({id: 'minecraft:granite'}),
 event.remove({id: 'minecraft:andesite'}),
 event.remove({id: 'davebuildingmod:rec_soft_air'}),
 event.remove({id: 'davebuildingmod:rec_hard_air'}),
 event.remove({id: 'davebuildingmod:rec_steel_ingot'}),
 event.remove({id: 'pneumaticcraft:medium_tank'}),
 event.remove({id: 'pneumaticcraft:large_tank'}),
 event.remove({id: 'pneumaticcraft:huge_tank'}),
 event.remove({id: 'refinedstorage:silicon'}),
 event.remove({id: 'beyond_earth:steel_ingot_blasting'}),
 event.remove({id: 'createplus:crafting/module_goggle_unit'}),
 event.remove({id: 'tconstruct:smeltery/casting/scorched/foundry_controller'}),
 event.remove({id: 'magistuarmory:steel_ingot_blasting'}),
 event.remove({id: 'magistuarmory:furnace/steel_ingot_blasting'}),
 event.shaped('mekanismgenerators:solar_panel', [
    'CCC',
    'IPI'
  ], {
    I: 'create:polished_rose_quartz',
    C: 'minecraft:glass_pane',
    P: 'mekanism:ingot_osmium'
  }),
  event.shaped('mekanismgenerators:solar_generator', [
    'CCC',
    'IPI'
  ], {
    I: 'immersiveengineering:ingot_steel',
    C: 'mekanismgenerators:solar_panel',
    P: 'mekanism:basic_control_circuit'
  }),
  event.shaped('mekanism:basic_control_circuit', [
    'COC',
    'EIE',
    'COC'
  ], {
    I: 'refinedstorage:basic_processor',
    C: 'create:electron_tube',
    O: 'mekanism:ingot_osmium',
    E: 'immersiveengineering:component_electronic'
  }),
  event.shaped('mekanism:advanced_control_circuit', [
    'COC',
    'EIE',
    'COC'
  ], {
    I: 'mekanism:basic_control_circuit',
    C: 'refinedstorage:improved_processor',
    O: 'immersiveengineering:nugget_uranium',
    E: 'immersiveengineering:component_electronic_adv'
  }),
  event.shaped('mekanismgenerators:advanced_solar_generator', [
    'CCC',
    'EIE',
    ' E '
  ], {
    I: 'mekanism:advanced_control_circuit',
    C: 'mekanismgenerators:solar_generator',
    E: 'immersiveengineering:stick_steel'
  }),
  event.shaped('mekanismgenerators:wind_generator', [
    'CWC',
    'ECE',
    ' I '
  ], {
    I: 'mekanism:advanced_control_circuit',
    C: 'immersiveengineering:stick_steel',
    W: 'immersiveengineering:windmill',
    E: 'mekanism:ingot_osmium'
  }),
  event.shaped('tconstruct:foundry_controller', [
    'COC',
    'OIO',
    'COC'
  ], {
    I: 'immersiveengineering:component_electronic_adv',
    C: 'tconstruct:scorched_brick',
    O: 'mekanism:ingot_osmium'
  }),
  event.shaped('mekanism:electrolytic_separator', [
    ' P ',
    'TIT',
    'OCO'
  ], {
    I: 'mekanism:basic_control_circuit',
    P: 'immersiveengineering:fluid_pipe',
    T: 'mekanism:basic_pressurized_tube',
    C: 'mekanism:electrolytic_core',
    O: 'mekanism:ingot_osmium'
  }),
  event.shaped('mekanismgenerators:gas_burning_generator', [
    ' P ',
    'TIT',
    'OCO'
  ], {
    I: 'create:propeller',
    P: 'immersiveengineering:fluid_pipe',
    T: 'mekanism:ingot_osmium',
    C: 'createaddition:alternator',
    O: 'mekanism:basic_control_circuit'
  }),
  event.shaped('mekanism:basic_pressurized_tube', [
    'CCC',
    'PPP',
    'CCC'
  ], {
    P: 'immersiveengineering:fluid_pipe',
    C: 'pneumaticcraft:pressure_tube'
  }),
  event.shaped('mekanism:electrolytic_core', [
    'COC',
    'CPC',
    'COC'
  ], {
    P: 'immersiveengineering:stick_steel',
    C: 'immersiveengineering:wire_aluminum',
    O: 'mekanism:ingot_osmium'
  }),
  event.shaped('mekanism:rotary_condensentrator', [
    'CCC',
    'PBP',
    'CCC'
  ], {
    C: 'mekanism:ingot_osmium',
    P: 'pneumaticcraft:pressure_tube',
    B: 'mekanism:basic_control_circuit'
  }),
  event.shaped('mekanism:upgrade_speed', [
    'COC',
    'OIO',
    'COC'
  ], {
    I: 'refinedstorage:advanced_processor',
    C: 'minecraft:amethyst_shard',
    O: 'mekanism:ingot_osmium'
  }),
  event.shaped('beyond_earth:nasa_workbench', [
    'LCL',
    'CTC',
    'SAS'
  ], {
    A: 'mekanism:advanced_control_circuit',
    C: 'immersiveengineering:component_electronic_adv',
    L: 'minecraft:lever',
    T: 'minecraft:crafting_table',
    S: 'beyond_earth:compressed_steel'
  }),
  event.shaped('mekanism:chargepad', [
    ' P ',
    'OOO'
  ], {
    P: 'immersiveengineering:connector_hv',
    O: 'mekanism:ingot_osmium'
  }),
  event.shaped('mekanism:robit', [
    'CMC',
    'SAH',
    'COC'
  ], {
    A: 'mekanism:advanced_control_circuit',
    M: 'computercraft:monitor_advanced',
    C: 'immersiveengineering:component_electronic_adv',
    O: 'mekanism:ingot_osmium',
    H: 'immersiveengineering:furnace_heater',
    S: 'pneumaticcraft:smart_chest'
  }),
  event.shaped('mekanism:module_base', [
    'COC',
    'OIO',
    'COC'
  ], {
    I: 'mekanism:advanced_control_circuit',
    C: 'pneumaticcraft:plastic',
    O: 'mekanism:ingot_osmium'
  }),
  event.shaped('mekanism:radioactive_waste_barrel', [
    'COC',
    'OIO',
    'COC'
  ], {
    I: 'immersiveengineering:metal_barrel',
    C: 'immersiveengineering:sheetmetal_lead',
    O: 'immersiveengineering:ingot_steel'
  }),
  event.shapeless('mekanism:modification_station', ['immersiveengineering:workbench','computercraft:monitor_normal', 'mekanism:advanced_control_circuit', '3x #forge:ingots/osmium']),
  event.shapeless('mekanism:mekasuit_helmet', ['pneumaticcraft:compressed_iron_helmet','mekanism:advanced_control_circuit'])
  event.shapeless('mekanism:mekasuit_bodyarmor', ['pneumaticcraft:compressed_iron_chestplate','mekanism:advanced_control_circuit'])
  event.shapeless('mekanism:mekasuit_pants', ['pneumaticcraft:compressed_iron_leggings','mekanism:advanced_control_circuit']),
  event.shapeless('mekanism:mekasuit_boots', ['pneumaticcraft:compressed_iron_boots','mekanism:advanced_control_circuit']),
  event.shapeless('mekanism:module_geiger_unit', ['mekanism:geiger_counter','mekanism:module_base']),
  event.shapeless('mekanism:module_radiation_shielding_unit', ['immersiveengineering:sheetmetal_lead','mekanism:module_base'])


})





